namespace :defaultgroup do
  RAKE_ROOT = File.dirname(__FILE__)
  import "#{RAKE_ROOT}/classesgroups.rake"

  desc 'Ensure that the default group exists'
  task :ensure_default_group => :environment do
    group = NodeGroup.find_by_name("default")
    if group.nil?
      classes = []
      req_classes = ['pe_compliance', 'pe_accounts', 'pe_mcollective']
      begin
        req_classes.each do |name|
          nc = NodeClass.find_by_name(name)
          if nc.nil?
            nc = NodeClass.new(:name => name)
            nc.save
          end
          classes << nc
        end
      end
      group = NodeGroup.new(:name => "default")
      group.node_classes = classes
      if group.save
        puts 'Default group successfully created!'
      end
    end
    ENV['group'] = "default"
    Rake::Task['nodegroup:add_all_nodes'].invoke
  end
end

